
import React from 'react';
import Icon from 'react-icon-base';

const SlShuffle = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M402.304 454.144l39.2637 55.248l-134.304 183.28h-304.528v-64h271.488zM918.783 628.672l-77.5361 -69.5352c-9.34375 -8.94434 -12.3682 -23.4404 -3.02441 -32.3682l5.47168 -8.06445c9.37598 -8.94434 24.4961 -8.94434 33.8242 0l127.744 115.504 c0.175781 0.160156 0.383789 0.192383 0.543945 0.335938l8.46387 8.0957c4.67188 4.49609 7.00781 10.3682 6.97559 16.2881c0.0322266 5.87207 -2.30371 11.7764 -6.97559 16.2246l-8.46387 8.0957c-0.160156 0.160156 -0.335938 0.224609 -0.543945 0.368164 l-129.728 118.432c-9.36035 8.94434 -24.4639 8.94434 -33.8398 0l-5.47168 -8.06445c-9.36035 -8.94434 -6.32031 -23.4082 3.02344 -32.3359l76.0479 -68.9756h-231.76l-409.312 -576h-271.488v-64h304.512l409.328 576zM1005.81 107.232 c-0.160156 0.160156 -0.336914 0.225586 -0.544922 0.369141l-129.728 118.432c-9.36035 8.94434 -24.4639 8.94434 -33.8398 0l-5.47168 -8.06445c-9.36035 -8.94434 -6.32031 -23.4082 3.02344 -32.3359l76.3359 -69.2324l-199.008 0.272461l-114.432 177.008 l-39.2803 -55.248l120.656 -185.76l234.944 -0.288086l-77.2158 -69.248c-9.34375 -8.94434 -12.3682 -23.4404 -3.02441 -32.3682l5.47168 -8.06445c9.37598 -8.94434 24.4961 -8.94434 33.8242 0l127.744 115.504c0.175781 0.160156 0.383789 0.192383 0.543945 0.335938 l8.46387 8.0957c4.67188 4.49609 7.00781 10.3682 6.97559 16.2881c0.0322266 5.87207 -2.30371 11.7764 -6.97559 16.2246z"/></g>
    </Icon>
);

export default SlShuffle;
